/* save.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/



#ifndef SAVE_H
#define SAVE_H



/*** save *************************************************************
   Save current graphics and colors to the 'savefile'
   Input:  savefile - filename to save to.
   Return:  0 for success,
            1 if unable to open file
	    2 if error while writing file.
**********************************************************************/
extern int save();



/*** restore **********************************************************
   Restore the graphics saved by save() above.
   Input:  savefile - filename to restore from.
   Return:  0 for success,
            1 if unable to open file
	    2 if error while reading file.
**********************************************************************/
extern int restore();


#endif
